Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui
Class RecentItemsListener

    java.lang.Object
      com.eviware.soapui.RecentItemsListener

All Implemented Interfaces:
  WorkspaceListener, DesktopListener

    public class RecentItemsListener

extends java.lang.Object
implements WorkspaceListener, DesktopListener

Workspace/Deskopt Listener that updates the recent menus..

Author:
  ole.matzura

Constructor Summary
`RecentItemsListener(javax.swing.JMenu recentWorkspacesMenu2, javax.swing.JMenu recentProjectsMenu2, javax.swing.JMenu recentEditorsMenu2)`

Method Summary
`void` | `desktopPanelClosed(DesktopPanel desktopPanel)`
`void` | `desktopPanelCreated(DesktopPanel desktopPanel)`
`void` | `desktopPanelSelected(DesktopPanel desktopPanel)`
`void` | `projectAdded(Project project)`
`void` | `projectChanged(Project project)`
`void` | `projectRemoved(Project project)`
`void` | `workspaceSwitched(Workspace workspace)`
`void` | `workspaceSwitching(Workspace workspace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecentItemsListener

    public RecentItemsListener(javax.swing.JMenu recentWorkspacesMenu2,
                               javax.swing.JMenu recentProjectsMenu2,
                               javax.swing.JMenu recentEditorsMenu2)

Method Detail

### projectAdded

    public void projectAdded(Project project)

  Specified by:
    `projectAdded` in interface `WorkspaceListener`

### projectChanged

    public void projectChanged(Project project)

  Specified by:
    `projectChanged` in interface `WorkspaceListener`

### projectRemoved

    public void projectRemoved(Project project)

  Specified by:
    `projectRemoved` in interface `WorkspaceListener`

### workspaceSwitched

    public void workspaceSwitched(Workspace workspace)

  Specified by:
    `workspaceSwitched` in interface `WorkspaceListener`

### workspaceSwitching

    public void workspaceSwitching(Workspace workspace)

  Specified by:
    `workspaceSwitching` in interface `WorkspaceListener`

### desktopPanelClosed

    public void desktopPanelClosed(DesktopPanel desktopPanel)

  Specified by:
    `desktopPanelClosed` in interface `DesktopListener`

### desktopPanelCreated

    public void desktopPanelCreated(DesktopPanel desktopPanel)

  Specified by:
    `desktopPanelCreated` in interface `DesktopListener`

### desktopPanelSelected

    public void desktopPanelSelected(DesktopPanel desktopPanel)

  Specified by:
    `desktopPanelSelected` in interface `DesktopListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.